# -*- coding: utf-8 -*-
from setuphelpers import *
import time

"""{
   "key":"{9444602B-C5D8-4EF5-9D5B-E76D06B53C71}_is1",
   "name":"Aurora v0.8.1",
   "version":"v0.8.1",
   "install_date":"2024-07-08 00:00:00",
   "install_location":"C:\\Program Files\\Aurora\\",
   "uninstall_string":"\"C:\\Program Files\\Aurora\\unins000.exe\"",
   "publisher":"Anton Pupkov",
   "system_component":0,
   "win64":false
  }"""

def install():
    bin_name = glob.glob("Aurora-setup-v*.exe")[0]
    time.sleep(60)
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT /NORESTART",
        key="{9444602B-C5D8-4EF5-9D5B-E76D06B53C71}_is1",
        min_version=control.get_software_version(),
        get_version = get_version,
        timeout = 1200
    )

def get_version(app_registry_dict):
    return app_registry_dict["version"].replace("v","")